import 'package:thesis_shop/redux/reducers/product_quantities_reducer.dart';
import 'package:thesis_shop/redux/reducers/product_reducer.dart';
import 'package:thesis_shop/redux/reducers/user_reducer.dart';
import 'package:thesis_shop/redux/state.dart';

AppState appReducer(AppState state, action) => AppState(
      isSignedIn: userReducer(state.isSignedIn, action),
      remoteProducts: productReducer(state.remoteProducts, action),
      productQuantities:
          productQuantitiesReducer(state.productQuantities, action),
    );
